The tag has no wiki summary.

learn more… | top users | synonyms

1
vote
2answers
1k views

PHP in snow leopard

Snow leopard comes with PHP already installed and configured I am running a web application on a development server which has MAMP and the system runs fine however when I put the application on a ...
0
votes
1answer
800 views

How to fix Apache from crashing with PHP+Curl on an SSH request?

My Apache process segfaults whenever I call curl_exec() from PHP with an "https://" URL. If I use http instead of https as the URL transport, it works perfectly, so I know curl and the other curl ...
1
vote
1answer
149 views

PHP upgrading to 5.3.3 - what should I be aware of?

I have a VPS that's hosting half a dozen PHP-based sites. All is OK on php5.2.10 but I want to upgrade to 5.3.3. I have tested the functionality of the sites on my local dev machine running 5.3.1 and ...
0
votes
1answer
217 views

“Link” default Apache to MacPorts Apache

I'm on Mac OS X 10.6.4 (the non-Server edition) which has Apache 2 and PHP 5.3 installed by default. However, because I need ImageMagick and all these extensions I would like to somehow 'link' the ...
0
votes
1answer
385 views

ffmpeg-php won't start after upgrading php from 5.1.6 to 5.2.13

CentOS 5, installed ffmpeg and compiled the ffmpeg.so. Everything works fine. Then upgrade the php to 5.2.13 (using an external repository) recompiled ffmpeg.so but now when trying to load php: PHP ...
1
vote
1answer
1k views

Reconfiguring PHP with OpenSSL Extension on CentOS

Long time browser, first time poster! I have a CentOS Dedicated server running just fine. I'm trying to reconfigure PHP to include the OpenSSL extensions so I can use some of the Youtube API's. I ...
0
votes
1answer
683 views

XAMPP OSX Snow Leopard & php ssh2 extension

I've been having problems getting the php ssh2 extension to work under xampp on Snow Leopard in my local test environment. I understand xampp is 32 bit and so the extension must be compiled as 32 bit ...
1
vote
1answer
507 views

How to build/install calendar.so for php?

I did the usual untar/configure/build for php 5.2.13. Configure includes --enable-calendar Build works. I then run the libtool as instructed but no calendar.so is produced. How do I make ...
1
vote
4answers
2k views

How to enable core PHP extension in Linux?

I'm trying to understand the process for enabling an a core extension (dom) in php. When I run phpinfo, I see '--disable-dom' in the configure command. Am I supposed to re-install PHP?
1
vote
1answer
428 views

API numbers don't match on compiled PHP extension

I'm trying to get GD into my PHP. I recently installed PHP5.3.0 on my system running Mac Leopard using mac ports. It did not come with the gd module. So I downloaded gd, compiled it as an extension ...
3
votes
2answers
861 views

Error on installing SVN extension with pecl

I'm trying to install the following PHP extension: http://php.net/manual/en/book.svn.php But when I do pecl install svn-beta I receive an error message that it can't locate the svn_client.h file. I ...
3
votes
1answer
8k views

Enable php extension within .htaccess

Does anyone know how to enable a PHP extension within the .htacess file? Possibly: (.htaccess file) php_value extension=php_soap.so
2
votes
1answer
232 views

Why are my php extensions being compiled for PHP4 and not PHP5

I'm trying to compile memcache for Dreamhost PS. The library is created but not shown in phpinfo. Apache logs says the library isn't loaded because "undefined symbol: OnUpdateInt in Unknown on line ...
9
votes
4answers
32k views

How to --enable-dom without recompiling PHP?

From the output of phpinfo(), --disable-dom are included the configure command. How do I change it to --enable-dom without recompiling PHP? Edit: I'm using Fedora 10. The PHP i'm using is the one ...